#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	xf86-video-ati
Version		:	22.0.0
Release		:	17.0.10.rel%{?dist}
Summary		: 	ATI/AMD Radeon video driver for the Xorg X server
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://github.com/freedesktop/xorg-xf86-video-ati

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	mesa-libgbm-devel
BuildRequires	:	xorg-server
BuildRequires	:	xorg-util-macros
#-----------------------------------------------------------------------------
%description
The Xorg ATI Driver package contains the X.Org Video Driver for
ATI Radeon video cards including all chipsets ranging from R100
to the "Volcanic Islands" chipsets. 

#-----------------------------------------------------------------------------
%prep
%setup -q 
#to resolv GCC-10 problem
#sed -i							\
#  -e "s/^miPointerSprite/extern miPointerSprite/"	\
#  src/drmmode_display.h

#-----------------------------------------------------------------------------
#building application
%build

autoreconf
./configure						\
	$XORG_CONFIG					\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc COPYING README.md
%{_libdir}/xorg/modules/drivers/ati_drv.so
%{_libdir}/xorg/modules/drivers/radeon_drv.so
%{_datadir}/X11/xorg.conf.d/10-radeon.conf
%{_mandir}/man4/*.4.gz

%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%changelog
